<nav *ngIf="hamState" class="side">
    <ul class="side nav links">
        <li *ngFor="let item of navItems">
            <a [routerLink]="cleanse(['/',basePath,item[0]])" routerLinkActive="active">{{item[1]}}</a>
        </li>
    </ul>
</nav>